Subject: [p2p-sip] [P2P SIP] Hierarchical P2P architecture

From: marc1.bailly at rd.francetelecom.com (BAILLY Marc RD-CORE-LAN)
Date: Tue Oct 18 10:38:52 2005

Hi,

This paper is now available on :
http://cis.poly.edu/~ross/papers/HierarchicalP2P.pdf

This link is also mentionned on www.p2psip.org website.

Best regards,

Marc 

-----Message d'origine-----
De : Seamus Gilchrist [mailto:[email-masked]] 
Envoy? : mardi 18 octobre 2005 16:33
? : 'David A. Bryan'; BAILLY Marc RD-CORE-LAN
Cc : [email-masked]
Objet : RE: [p2p-sip] [P2P SIP] Hierarchical P2P architecture

When trying to access the paper "Hierarchical P2P systems" got a not found returned (The requested URL /~btroup/P2P/papers/Hp2p.pdf was not found on this server.).

Is this paper still available, if not could someone forward a copy,

Thanks,

Seamus

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of David A. Bryan
Sent: Friday, September 02, 2005 10:37 AM
To: zze-BAILLY Marc RD-CORE-LAN
Cc: [email-masked]
Subject: Re: [p2p-sip] [P2P SIP] Hierarchical P2P architecture

I definitely agree this is important. I think there is even a slightly more fundamental issue touched on here that needs to be discussed, which is interconnection of groups (realms?) of P2P SIP users. One way (and one I think is a good one) is to interconnect them in a P2P way, but we should also discuss other approaches, such as nodes that participate in each realm and serve as "gateways" between them, or even techniques using the PSTN to bridge (ugh), etc.

Also related to this, this list has touched on at least 3 different applications but using similar routing technology -- connecting nodes, interconnecting groups of nodes, and using P2P to load balance servers. I think it would be interesting to see if, at all possible, we can use the same protocol for all applications (maybe not, but it would nice!)

--David

On 9/2/05, zze-BAILLY Marc RD-CORE-LAN
<[email-masked]> wrote:
> 
> The current work has shown 2 main approaches to add P2P to SIP 
> architecture
> 
> - P2P SIP: use SIP as the protocol of the P2P layer (Bryan, Jennings, 
> Schulzrinne approach) and with of course SIP as the above layer for 
> call control
> - SIP P2P: use SIP only at the call control layer and let P2P layer 
> use its own protocol, the two (SIP and P2P layer being glued by an 
> interface typically the location service interface (Johnston approach) 
> Lots of rationales seem to oppose these two approaches.
> 
> But using a 2 level hierarchical P2P model, it seems that we could 
> combine these 2 views.
> 
> This idea of hierarchical P2P was already proposed in section 6.4.1 of 
> Singh and Schulzrinne's paper.
> (http://www1.cs.columbia.edu/~kns10/publication/sip-p2p-design.pdf).
> 
> On this topic about hierarchical P2P systems, there is an interesting 
> paper called "Hierarchical P2P systems"
> (http://www.eurecom.fr/~btroup/P2P/papers/Hp2p.pdf). One section 
> presents some adaptations to Chord algorithm which could be done to 
> implement a top level DHT :
> [Section 4.2] "In the top-level overlay network, each "node" is 
> actually a group of peers. This implies that the top-level lookup 
> system must manage an overlay of groups, each of which is represented 
> by a set of superpeers that may fail independently from the group they belong to.
> Chord requires some adaptations for being used in the top-level 
> overlay network and managing groups instead of nodes."
> 
> Our idea would be to use P2P SIP (with these adaptations) at the top 
> level for interconnection routing but let domains use their own SIP 
> P2P or even not a P2P approach.
> Regarding this top level DHT used for inter domains routing, there are 
> two approaches:
> - The set of nodes responsible for a domain joins this DHT with a 
> random ID and register their domain on KeyID = HASH(domain.com).
> - The set of nodes responsible for a domain joins this DHT with the ID 
> = HASH(domain.com).
> 
> We would privilege the second approach because it better takes 
> heterogeneity in sub networks size into account: If a set of peers 
> from a very small network in the top level DHT is responsible for 
> storing the association between AOR and contact SIP for a domain with 
> a large amount of users, this set of peers risks to be overloaded 
> (maybe this problem could be avoided thanks to caching mechanism).
> 
> This architecture seems to tailor the benefits of the 2 approach (P2P 
> SIP and SIP P2P):
> - offer standardized interconnection to isolated islands (which is, I 
> guess, one of the goals of the P2P Sip WG) in a P2P way
> - does not preclude the use of P2P SIP in a domain
> - does not preclude the use of optimized P2P layer protocol (in a 
> specific environment for example mobile or wifi network)
> - does not preclude to connect centralized, by nature, PSTN GW
> 
> This would mean that we must continue the on-going work of P2P SIP for 
> him to be applied in a SIP P2P world but extend it with a top level 
> overlay view for interconnection.
> 
> What do you think of this vision?
> 
> Best regards.
> Marc Bailly
> 
> 
> 
> _______________________________________________
> p2p-sip mailing list
> [email-masked]
> http://lists.cs.columbia.edu/mailman/listinfo/p2p-sip
>

_______________________________________________
p2p-sip mailing list
[email-masked]
http://lists.cs.columbia.edu/mailman/listinfo/p2p-sip